#ifndef MOJEOKNO_H
#define MOJEOKNO_H

#include <QMainWindow>
#include <QTableWidgetItem>
#include <QTreeWidgetItem>

namespace Ui {
class MojeOkno;
}

class MojeOkno : public QMainWindow
{
    Q_OBJECT
    
public:
    explicit MojeOkno(QWidget *parent = 0);
    ~MojeOkno();

private:
    int limit;
    QTreeWidgetItem * top;
    // QTableWidgetItem * v [8][8];
    int z [8][8];

    void skoc (int x0, int y0, int n, int x, int y);
    void hraj (int x0, int y0, int n);

    
private slots:
    void on_treeWidget_itemClicked(QTreeWidgetItem* item, int column);
    void on_actionRun_triggered();

private:
    Ui::MojeOkno *ui;
};

#endif // MOJEOKNO_H
